!c Description: 
!c   ファイル名設定用モジュール
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-11-12    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module fileset
  implicit none
  save
  character(80) :: cfgfile = "arare.conf"  !設定ファイル
  character(80) :: fs_RegFile             !出力 nc ファイル
  character(80) :: sf_RegFile             !出力 nc ファイル
  character(80) :: ss_RegFile             !出力 nc ファイル
  character(80) :: fs_DimFile             !出力 nc ファイル
  character(80) :: sf_DimFile             !出力 nc ファイル
  character(80) :: ss_DimFile             !出力 nc ファイル

contains
  subroutine fileset_init
    
    ! NAMELIST の定義
    NAMELIST /fileset/ fs_RegFile, sf_RegFile, ss_RegFile, &
         & fs_DimFile, sf_DimFile, ss_DimFile
    
    !変数の取り出し
    open (10, FILE=cfgfile)
    read(10, NML=fileset)
    close(10)
    
  end subroutine fileset_init
  
end module fileset

